﻿/* LabItem.cs
 * part of zaaReloaded2
 * 
 * Copyright 2015 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace zaaReloaded2.Models
{
    /// <summary>
    /// Represents a single laboratory item (e.g., sodium or creatinine).
    /// </summary>
    public class LabItem
    {
        #region Properties

        public string Name { get; set; }
        public string Unit { get; set; }
        public double Value { get; set; }
        public double LowerLimit { get; set; }
        public double UpperLimit { get; set; }
        public string Lauris { get; set; }

        #endregion

        #region Constructors

        /// <summary>
        /// Creates an empty LabItem object.
        /// </summary>
        public LabItem() { }

        /// <summary>
        /// Creates a LabItem object from a given Lauris output.
        /// </summary>
        /// <param name="laurisString">Lauris output to parse.</param>
        public LabItem(string laurisString)
            :this()
        {
            Lauris = laurisString;
            ParseLauris();
        }

        #endregion

        #region Private methods

        /// <summary>
        /// Parses the original Lauris string contained in
        /// <see cref="Lauris"/>.
        /// </summary>
        private void ParseLauris()
        {

        }

        #endregion
    }
}
